libzypp: zypp::SigcheckPlugins Class Reference

libzypp 17.38.11

zypp::SigcheckPlugins Class Reference
Mandatory signature checking

Handle a bunch of SigcheckPlugins. More...

`#include <zypp/repo/PluginSigcheck.h>`

## Classes
struct | Impl

## Public Types
using | Plugins = std::vector<SigcheckPlugin>

## Public Member Functions
| SigcheckPlugins (const SigcheckPlugins &)=delete
SigcheckPlugins & | operator= (const SigcheckPlugins &)=delete
| SigcheckPlugins (SigcheckPlugins &&) noexcept=default
SigcheckPlugins & | operator= (SigcheckPlugins &&) noexcept=default
| ~SigcheckPlugins ()=default
| SigcheckPlugins ()
| No plugins.
| SigcheckPlugins (const std::string &cmdline_r, const Pathname &plugindir_r=Pathname())
| Setup from a -escaped commandline.
| operator bool () const
| Whether there are plugins defined.
const Plugins & | plugins ()
| All plugins (their addresses can be captured).
void | launch (const Pathname &chroot_r=Pathname())
| Launch all plugins (optionally chrooted).

## Private Attributes
RW_pointer< Impl > | _pimpl

## Friends
std::ostream & | operator<< (std::ostream &str, const SigcheckPlugins &obj)

## Detailed Description

Handle a bunch of SigcheckPlugins.

Note
  : The class asserts the address of the contained SigcheckPlugins does not change throughout its lifetime. It's suitable for workflows to capture the address of an included SigcheckPlugin.

Definition at line 104 of file PluginSigcheck.h.

## Member Typedef Documentation

## ◆ Plugins

using zypp::SigcheckPlugins::Plugins = std::vector<SigcheckPlugin>

Definition at line 114 of file PluginSigcheck.h.

## Constructor & Destructor Documentation

## ◆ SigcheckPlugins() [1/4]

zypp::SigcheckPlugins::SigcheckPlugins | ( | const SigcheckPlugins & |  | ) |
| delete

## ◆ SigcheckPlugins() [2/4]

zypp::SigcheckPlugins::SigcheckPlugins | ( | SigcheckPlugins && |  | ) |
| defaultnoexcept

## ◆ ~SigcheckPlugins()

zypp::SigcheckPlugins::~SigcheckPlugins | ( |  | ) |
| default

## ◆ SigcheckPlugins() [3/4]

zypp::SigcheckPlugins::SigcheckPlugins | ( |  | ) |

No plugins.

Definition at line 193 of file PluginSigcheck.cc.

## ◆ SigcheckPlugins() [4/4]

zypp::SigcheckPlugins::SigcheckPlugins | ( | const std::string & | cmdline_r,
|  | const Pathname & | plugindir_r = Pathname() )

Setup from a -escaped commandline.

Multiple commands are separated by ';'. Command and arguments separated by ' '. Literal '\' and separators must be -escaped.

The plugins are expected to be found in the "sigcheck/" subdirectory (of plugindir_r if defined).

Definition at line 197 of file PluginSigcheck.cc.

## Member Function Documentation

## ◆ operator=() [1/2]

SigcheckPlugins & zypp::SigcheckPlugins::operator= | ( | const SigcheckPlugins & |  | ) |
| delete

## ◆ operator=() [2/2]

SigcheckPlugins & zypp::SigcheckPlugins::operator= | ( | SigcheckPlugins && |  | ) |
| defaultnoexcept

## ◆ operator bool()

zypp::SigcheckPlugins::operator bool | ( |  | ) | const
| explicit

Whether there are plugins defined.

Definition at line 201 of file PluginSigcheck.cc.

## ◆ plugins()

const SigcheckPlugins::Plugins & zypp::SigcheckPlugins::plugins | ( |  | ) |

All plugins (their addresses can be captured).

Definition at line 204 of file PluginSigcheck.cc.

## ◆ launch()

void zypp::SigcheckPlugins::launch | ( | const Pathname & | chroot_r = Pathname() | ) |

Launch all plugins (optionally chrooted).

Definition at line 207 of file PluginSigcheck.cc.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | str,
|  | const SigcheckPlugins & | obj )
| friend

Definition at line 210 of file PluginSigcheck.cc.

## Member Data Documentation

## ◆ _pimpl

RW_pointer<Impl> zypp::SigcheckPlugins::_pimpl
| private

Definition at line 141 of file PluginSigcheck.h.

The documentation for this class was generated from the following files:

- zypp/repo/PluginSigcheck.h
- zypp/repo/PluginSigcheck.cc